Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.ui
Enum FrameRenderer.InstanceCountType

    java.lang.Object
      java.lang.Enum<FrameRenderer.InstanceCountType>
          edu.stanford.smi.protege.ui.FrameRenderer.InstanceCountType

All Implemented Interfaces:
  Serializable, Comparable<FrameRenderer.InstanceCountType>

Enclosing class:
  FrameRenderer

    public static enum FrameRenderer.InstanceCountType

extends Enum<FrameRenderer.InstanceCountType>

Enum Constant Summary
`ALL`
`DIRECT`
`NONE`

Method Summary
`static FrameRenderer.InstanceCountType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FrameRenderer.InstanceCountType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final FrameRenderer.InstanceCountType NONE

### DIRECT

    public static final FrameRenderer.InstanceCountType DIRECT

### ALL

    public static final FrameRenderer.InstanceCountType ALL

Method Detail

### values

    public static final FrameRenderer.InstanceCountType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FrameRenderer.InstanceCountType c : FrameRenderer.InstanceCountType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FrameRenderer.InstanceCountType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.